<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Pronostico Extendido</title>
    <link rel="stylesheet" href="styles/estilo_pronostico_extendido.css">
    <script src="jquery-3.1.1.min.js" type="text/javascript"></script>
    <script src="scripts/funciones_auxiliares.js"></script>
    <script>
        var urlClimaPorDiaGenerico = "https://ws.smn.gob.ar/map_items/forecast/";
        var pronosticoPrimerDia = obtenerJsonDe(urlClimaPorDiaGenerico + "1");
        var pronosticoDiaDos = obtenerJsonDe(urlClimaPorDiaGenerico + "2");
        var pronosticoDiaTres = obtenerJsonDe(urlClimaPorDiaGenerico + "3");
        var localidad = "San Miguel";
    </script>
</head>
<body>
    <h1 id="titulo">
        Pronostico del tiempo para los proximos 3 dias.
        <h1 id="titulo_localidad"></h1>
    </h1>
    <h2>
        <table id="cuadro_dias">
            <tr id="dia_uno">

            </tr>
            <tr id="dia_dos"></tr>
            <tr id="dia_tres"></tr>
        </table>
    </h2>

    
</body>

<script>
    var titulo = obtenerNodoConId("titulo_localidad");
    agregarTextoAlElemento(titulo, titulo.innerText + "Localidad: " + localidad + ".");

    var crearCasillaDeDia = function (JSONdelDia) {
        JSONdelDia.done ( function () {
            var pronostico = obtenerLocalidad(localidad, JSONdelDia.responseJSON);
            pronostico = pronostico.weather;
            console.log(pronostico);
            var cuadro = obtenerNodoConId("cuadro_dias");
            armarCuadroDePronostico(cuadro, pronostico);
            });
    }

    crearCasillaDeDia(pronosticoPrimerDia);
    crearCasillaDeDia(pronosticoDiaDos);
    crearCasillaDeDia(pronosticoDiaTres);

</script>

<script>
    // var crearCasillaDeDia = function (JSONdelDia) {
    //     JSONdelDia.done ( function () {
    //         var pronostico = obtenerLocalidad(localidad, JSONdelDia.responseJSON);
    //         pronostico = pronostico.weather;
    //         console.log(pronostico);
    //         var cuadro = obtenerNodoConId("cuadro_dias");
    //         armarCuadroDePronostico(cuadro, pronostico);
    //         });
    // }

    var obtenerLocalidad = function (nombre, json) {
        var respuesta = null;
        json.forEach( element => {
            respuesta = element.name == nombre ? element : respuesta;
        });
        return respuesta;
    }

    var armarCuadroDePronostico = function (nodoPadre, pronosticoJSON) {
        var dia = crearElementoTipo("td");
        var titulo = crearElementoTipo("th");
        var casilla = crearElementoTipo("tr");
        titulo.appendChild(crearElementoTipoConTexto("P",pronosticoJSON.day));
        casilla.appendChild(crearElementoTipoConTexto("p","Mañana: " + pronosticoJSON.morning_temp + "º"));
        casilla.appendChild(crearElementoTipoConTexto("p",pronosticoJSON.morning_desc));
        casilla.appendChild(crearElementoTipoConTexto("p","Tarde: " + pronosticoJSON.afternoon_temp + "º"));
        casilla.appendChild(crearElementoTipoConTexto("p",pronosticoJSON.afternoon_desc));
        dia.appendChild(titulo);
        dia.appendChild(casilla);
        nodoPadre.appendChild(dia);
    }

</script>


</html>